"use strict";
cc._RF.push(module, '280c3rsZJJKnZ9RqbALVwtK', 'testbutton');
// Script/testbutton.js

"use strict";

cc.Class({
  extends: cc.Component,

  properties: {
    buttonsoundpause: {
      default: null,
      url: cc.AudioClip
    },
    pauselabel: {
      default: null,
      type: cc.Label
    }
  },

  // use this for initialization
  onLoad: function onLoad() {
    this.countpause = 0;
    this.GamePauseOnOffPress();
  },
  GamePauseOnOffPress: function GamePauseOnOffPress() {
    this.node.on(cc.Node.EventType.TOUCH_START, function (event) {
      var pausetext = this.getComponentInChildren(cc.Label);
      cc.audioEngine.playEffect(this.buttonsoundpause);
      // Pause Button Press 1 Pause Game
      this.countpause++;
      pausetext.string = "PAUSE";
      this.pauselabel.string = "PAUSE";
      cc.game.pause();
      // Pause Button Press 2 Unpause Game
      if (this.countpause >= 2) {
        cc.game.resume();
        pausetext.string = "";
        this.pauselabel.string = "";
        this.countpause = 0;
      }
    }, this);
  }

});

cc._RF.pop();